<main>
	<style>
		@scope {
			.fieldset--grid {
				display: grid;
				gap: .75rem;
				grid-template-columns: 1fr 1fr;
			}

			hr {
				border-color: var(--c-slate-200);
				margin: 1rem 0;
			}

			.checkbox {
				margin: .5rem 0;
				line-height: 1.25;

				input[type="checkbox"] {
					display: inline-block;
					margin-inline-end: .5rem;
					border: 1px solid var(--c-slate-300);
					aspect-ratio: 1;
					vertical-align: text-middle;
					padding: .5rem;
				}

				label {
					font-size: 1rem;
					display: inline;
				}
			}

			.recipient-fieldset:has(#all:checked) #ids-container {
				display: none;
			}
		}
	</style>
		<section>
			<article class="box">
				<h1>Notificações</h1>
				<p>
					Esta seção é dedicada às operações que envolvem as notificações para os
					usuários. Na seção abaixo é possível criar e enviar uma notificação
					usuários. 
				</p>
			</article>
		</section>

		<section class="grid">
			<article class="box">
				<h2>Criar Notificação</h2>
					<p>
						Utilize o formulário abaixo para criar uma notificação:
					</p>
				<form id="form-notificacao"
					  hx-get="{{ url_for('bikesp._admin_feedback_notificacao') }}"
					  hx-swap="none"
					  hx-on::after-request="htmx.trigger('#listener-notificacao','form-notificacao-enviado');">
					<fieldset class="fieldset--grid">
						<div>
							<label for="titulo">Título</label>
							<input type="text" id="titulo" name="titulo" placeholder="ex.: notificação" required />
						</div>
					</fieldset>
					
						<label for="mensagem">Corpo da mensagem (opcional)</label>
						<textarea name="mensagem" id="mensagem" placeholder="Escreva uma descrição para a sua notificação..."></textarea>
					
					<fieldset>
						<legend>Tipo de Envio</legend>
						<div class="checkbox">
							<input type="checkbox" id="push" name="push" value="true" />
							<label for="push">Envio por notificação push</label>
						</div>
						<div class="checkbox">
							<input type="checkbox" id="email" name="email" value="true" />
							<label for="email">Envio por e-mail</label>
						</div>
					</fieldset>
					
					<fieldset class="recipient-fieldset">
						<legend>Destinatários</legend>
						<div class="radio">
							<input type="radio" id="user" name="recipient_type" value="user" checked />
							<label for="user">Usuário</label>
						</div>
						<div class="radio">
							<input type="radio" id="group" name="recipient_type" value="group" />
							<label for="group">Grupo</label>
						</div>
						<div class="radio">
							<input type="radio" id="all" name="recipient_type" value="all" />
							<label for="all">Todos</label>
						</div>
					
						<div id="ids-container">
							<label for="ids">IDs (insira IDs separados por vírgulas sem espaços entre si)</label>
							<input type="text" id="ids" name="ids" placeholder="ex.: 15" required />
						</div>
					</fieldset>
					
						<button id="botao-notificacao" type="submit">Enviar notificação</button>
					</form>
					
			</article>
		</section>
</main>
<div
	id="listener-notificacao"
	hx-post="{{ url_for('bikesp._admin_cria_notificacao') }}"
	hx-trigger="form-notificacao-enviado"
	hx-include="#form-notificacao"
	hx-swap="none"
	hx-swap-oob="outerHTML:#listener-notificacao"
	hx-target-error="#error-fallback"
	hx-on::after-request="document.getElementById('botao-notificacao').disabled = false;">
</div>